clear
clear matrix


*set location of base_directory below:
local base_dir "C:\DataAppendix"

local in_dir "`base_dir'\data\raw\KORUS"
local out_dir "`base_dir'\data"

*
* Format the KORUS data
*

***uses windows command prompt to run operations on files!***

cd "`in_dir'"
!copy KOREA_0507.csv+forcestring.csv KOREA_WORLD.csv
!move KOREA_WORLD.csv "`out_dir'"
cd "`out_dir'"

insheet using "`out_dir'\KOREA_WORLD.csv", comma clear names

drop if year == "Year"

replace commoditycode = commoditycode + "0" if length(commoditycode) == 4

destring, replace


rename tradeflowcode flow

gen importer = reportercode if flow == 1
replace importer = partnercode if flow == 2

gen exporter = reportercode if flow == 2
replace exporter = partnercode if flow == 1


rename commoditycode code


keep year importer exporter code value


*label data
label var importer Importer
label var exporter Exporter
label var code "SITC Commodity Code"

label define country 410 "Korea" 0 "World" 842 "UnitedStates"
label values importer country
label values exporter country

order exporter importer code year value


save "`out_dir'\KOREA_WORLD", replace

*delete the csv file
!del "`out_dir'\KOREA_WORLD.csv"


